import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { SeriesView } from "./SeriesView";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Type, IList$1 } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { CategorySeriesView } from "./CategorySeriesView";
import { Path } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class StepAreaSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    zf: StepAreaSeriesView;
    protected get_d9(): boolean;
    protected get_d8(): boolean;
    protected get_fe(): boolean;
    protected get_ey(): boolean;
    cm(): SeriesVisibleRangeMode;
    constructor();
    ze: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    nj(a: boolean, b: SeriesView): void;
    private zg;
    protected vw(): CategoryTransitionInMode;
    hz(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    protected bx(): SeriesHitTestMode;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class StepAreaSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected dd: StepAreaSeries;
    constructor(a: StepAreaSeries);
    au(): void;
    private dl;
    private dn;
    private dm;
    private dp;
    get dq(): Path;
    get ds(): Path;
    get dr(): Path;
    get dt(): Path;
    de(): void;
    df(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    dg(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting, h: Clipper): void;
    private dh;
    private dj;
    private di;
    private dk;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
